﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary.disabled, .btn-primary:disabled {
    opacity: .35 !important;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}


/*.btn-primary :disabled {
        opacity: .35 !important;
    }*/

.alert-info {
    color: #0c5460 !important;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: red;
    color:white;
    font-weight:bold;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 999999;

}
    #blazor-error-ui a {
        color: whitesmoke;
    }
    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.hc-logo-grid {
    width: 130px;
    height: 70px;
    font-size: 2.5em;
    padding: 13px 10px 10px 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

    .hc-logo-grid .hc-cube-top {
        font-family: monospace;
        text-align: center;
        width: 16.66%;
        height: 50%;
        line-height: 50%;
        color: #e51f2d;
        font-weight: 500;
        float: left;
        -webkit-animation: hc-logoScaleDelay 1.2s infinite ease-in-out;
        animation: hc-logoScaleDelay 1.2s infinite ease-in-out;
    }

    .hc-logo-grid .hc-cube-bottom {
        width: 16.66%;
        height: 50%;
        float: left;
        margin-top: -8px;
        font-weight: 400;
        color: black;
        -webkit-animation: hc-logoScaleDelay 1.2s infinite ease-in-out;
        animation: hc-logoScaleDelay 1.2s infinite ease-in-out;
    }

    .hc-logo-grid .hc-cube1 {
        -webkit-animation-delay: 0.1s;
        animation-delay: 0.1s;
    }

    .hc-logo-grid .hc-cube2 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

    .hc-logo-grid .hc-cube3 {
        -webkit-animation-delay: 0.3s;
        animation-delay: 0.3s;
    }

    .hc-logo-grid .hc-cube4 {
        -webkit-animation-delay: 0.4s;
        animation-delay: 0.4s;
    }

    .hc-logo-grid .hc-cube5 {
        -webkit-animation-delay: 0.5s;
        animation-delay: 0.5s;
    }

    .hc-logo-grid .hc-cube6 {
        -webkit-animation-delay: 0.6s;
        animation-delay: 0.6s;
    }

@-webkit-keyframes hc-logoScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes hc-logoScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}


:root {
    --bs-light: #F0F0FF;
    --b-bar-brand-light-background: #F0F0FF !important;
    --hc-table-border-color: #dee2e6;
    --bs-success: #4caf50;
    --bs-warning: #ff8507;
    --bs-danger: #F44336;
    --bs-info: #0288D1;
    --hc-gray: #d3d7db;
    --hc-localop-color: #383996;
}

html {
    font-size: 13px;
}

#headerContainer {
    z-index: 1022;
    border-bottom: 1px solid var(--hc-gray);
}

    #headerContainer .hc-top-menu-profile {
        border-radius: 3px;
        border: 1px solid var(--hc-gray);
    }

        #headerContainer .hc-top-menu-profile .dropdown-divider {
            border-top-color: var(--hc-gray);
        }

    #headerContainer .hc-top-menu-item {
        color: var(--hc-localop-color);
        font-weight: 600;
        border-radius: 3px;
        border: 1px solid var(--hc-localop-color);
        background-color: white;
    }

#contentContainer {
    margin-top: 90px;
    height: 100%;
    overflow: hidden;
    /*background: #f5efe9;*/
    background: #E5E5FF;
    box-shadow: inset 0 6px 7px -7px rgb(0 0 0 / 40%);
}

#content {
    height: 100%;
    display: flex;
    flex-flow: column;
}

    #content .hc-resetButton.btn {
        border: 1px solid lightgray;
        background: white;
        border-top-right-radius: 0.25rem !important;
        border-bottom-right-radius: 0.25rem !important;
    }

    #content .hc-hidden {
        width: 0 !important;
        min-width: 0 !important;
        max-width: 0 !important;
        padding: 0 !important;
        opacity: 0 !important;
    }

    #content .hc-datagrid-date-filter input::-webkit-calendar-picker-indicator,
    #content .hc-datagrid-date-form-input::-webkit-calendar-picker-indicator {
        width: 15px;
        padding: 0px;
        margin: 0px;
        cursor: pointer;
    }

    #content .hc-datagrid-date-form-input {
        width: 130px;
    }

    #content .hc-datagrid.hc-space-span-filter-input,
    #content .hc-datagrid.hc-space-span-filter-select,
    #content .hc-datagrid.hc-space-span-display {
        height: 0 !important;
        min-height: 0 !important;
        max-height: 0 !important;
        display: block;
        opacity: 0;
        white-space: nowrap;
        pointer-events: none;
    }

    #content .hc-datagrid.hc-space-span-display {
        margin-left: 25px;
    }

    #content .hc-datagrid.hc-space-span-filter-input {
        margin-left: 35px;
    }

    #content .hc-datagrid.hc-space-span-filter-select {
        margin-left: 65px;
    }

    #content .hc-bullet::before {
        content: "\2022  ";
    }

    #content .input-group-append.hc-valid .hc-resetButton.btn {
        border-color: #28a745;
    }

    #content .input-group-append.hc-invalid .hc-resetButton.btn {
        border-color: #dc3545;
    }

    /*************************************/

    /*************************************/
    /*Tooltips                           */
    /*************************************/
    #content .hc-tooltip-wrapper {
        position: relative;
        cursor: help;
    }

    #content .hc-tooltip-wrapper {
        display: inline-block;
    }

        #content .hc-tooltip-wrapper .hc-tooltip {
            visibility: hidden;
            font-size: 0.9em;
            position: absolute;
            width: auto;
            left: 50%;
            background-color: #363636;
            color: #fff;
            text-align: center;
            padding: 5px 0;
            border-radius: 6px;
            z-index: 1000;
            opacity: 0;
            transition: opacity 0.7s;
        }

    #content .hc-tooltip.hc-tooltip-placement-left {
        transform: translate(-6%,50%);
        bottom: calc(50% + -1px);
        left: unset;
        right: 50%;
    }

    #content .hc-tooltip.hc-tooltip-placement-right {
        transform: translate(6%,50%);
        bottom: calc(50% + -1px);
        right: 50%;
        left: initial;
    }

    #content .hc-tooltip.hc-tooltip-placement-bottom {
        -webkit-transform: translate(-50%,0);
        transform: translate(-50%,0);
        bottom: calc(100% + 5px);
    }

    #content .hc-tooltip-wrapper .hc-tooltip::after {
        content: "";
        position: absolute;
        border-style: solid;
        border-color: #363636;
    }

    #content .hc-tooltip-wrapper:hover .hc-tooltip {
        visibility: visible;
        opacity: 1;
    }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-info {
        color: #187D8C;
        background-color: #CCF1F6;
        border: 1px solid #8EE1EC;
    }

        #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-info::after {
            border-color: #8EE1EC;
        }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-success {
        color: #407648;
        background-color: #DBEFDC;
        border: 1px solid #B0DBB2;
    }

        #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-success::after {
            border-color: #B0DBB2;
        }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-warning {
        color: #9D963D;
        background-color: #FFFBD7;
        border: 1px solid #FFF6A8;
    }

        #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-warning::after {
            border-color: #FFF6A8;
        }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-danger {
        color: #973E3A;
        background-color: #FCD9D6;
        border: 1px solid #FAACA6;
    }

        #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-danger::after {
            border-color: #FAACA6;
        }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-placement-left::after {
        top: calc(50% - 5px);
        right: 0%;
        border-top-color: transparent;
        border-bottom-color: transparent;
        border-right-color: transparent;
        margin-right: -10px;
        border-width: 5px;
    }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-placement-right::after {
        top: calc(50% - 5px);
        left: 0%;
        border-top-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
        margin-left: -10px;
        border-width: 5px;
    }

    #content .hc-tooltip-wrapper .hc-tooltip.hc-tooltip-placement-bottom::after {
        top: 100%;
        left: 50%;
        border-bottom-color: transparent;
        border-right-color: transparent;
        border-left-color: transparent;
        margin-left: -5px;
        border-width: 5px;
    }

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    75% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.bg-light-fade-out {
    background: rgba(255,255,255,1);
    -webkit-animation: 6s ease 0s infinite running reverse fadeOutLightInfinite;
    animation: 6s ease 0s infinite running reverse fadeOutLightInfinite;
}

@keyframes fadeOutLightInfinite {
    0%, 100% {
        background: rgba(255,255,255,0.9);
    }

    50% {
        background: rgba(255,255,255,0.2);
    }
}

@-webkit-keyframes fadeOutLightInfinite {
    0%, 100% {
        background: rgba(255,255,255,0.9);
    }

    50% {
        background: rgba(255,255,255,0.2);
    }
}

/*************************************/

/*************************************/
/*Blazorise tabs          */
/*************************************/
.nav.nav-tabs .nav-item .nav-link {
    color: gray;
    font-weight: normal;
    font-size: 1.25rem;
}

.nav.nav-tabs .nav-item a.nav-link:not(.active) {
    color: gray !important;
}

.nav.nav-tabs .nav-link.disabled {
    opacity: 0.6;
}

.nav.nav-tabs .nav-item .nav-link.show {
    color: #212529;
    font-weight: 500;
}
/*************************************/

/*************************************/
/*Blazorise datagrid          */
/*************************************/
.b-datagrid th {
    background-color: var(--bs-light);
}

.table > :not(:last-child) > :last-child > * {
    border-bottom-color: var(--hc-table-border-color);
}

/*************************************/
/*Blazorise step                 */
/*************************************/
#content .step-danger .step-circle,
#content .step-warning .step-circle,
#content .step-success .step-circle {
    color: #adb5bd;
    border-color: #adb5bd;
}

#content .step-danger .step-text,
#content .step-success .step-text {
    color: #adb5bd;
}

#content .step-danger.step-active .step-circle {
    color: white;
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

#content .step-danger.step-active .step-text {
    color: var(--bs-danger);
}

#content .step-warning.step-active .step-circle {
    color: white;
    background-color: var(--bs-warning);
    border-color: var(--bs-warning);
}

#content .step-warning.step-active .step-text {
    color: var(--bs-warning);
}

#content .step-success.step-active .step-circle {
    color: white;
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

#content .step-success.step-active .step-text {
    color: var(--bs-success);
}
/*************************************/

/*************************************/
/*Blazorise snackbar                 */
/*************************************/
.snackbar-body {
    white-space: normal !important;
}

.snackbar.snackbar-info {
    color: #187D8C;
    background-color: #CCF1F6;
    border: 1px solid #8EE1EC;
}

    .snackbar.snackbar-info button {
        color: #187D8C;
    }

.snackbar.snackbar-success {
    color: #407648;
    background-color: #DBEFDC;
    border: 1px solid #B0DBB2;
}

    .snackbar.snackbar-success button {
        color: #407648;
    }

.snackbar.snackbar-warning {
    color: #9D963D;
    background-color: #FFFBD7;
    border: 1px solid #FFF6A8;
}

    .snackbar.snackbar-warning button {
        color: #9D963D;
    }

.snackbar.snackbar-danger {
    color: #973E3A;
    background-color: #FCD9D6;
    border: 1px solid #FAACA6;
}

    .snackbar.snackbar-danger button {
        color: #973E3A;
    }

/*************************************/

/*************************************/
/*Scrollbars styling                */
/*************************************/
/* Works on Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: rgba(0,0,0,0.10) rgba(0,0,0,0.25);
}
    /* Works on Chrome, Edge, and Safari */
    *::-webkit-scrollbar {
        height: 8px;
        width: 8px;
    }

    *::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.10);
        border-radius: 10px;
        background: white;
    }

    *::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.30);
        background: white;
    }
/*************************************/

/*************************************/

/*************************************/
/*Blazorise btn-secondary                 */
/*************************************/
.btn-secondary {
    color: #ffffff !important;
}

a.btn-secondary {
    color: #ffffff !important;
}


.btn-outline-secondary:hover {
    color: #ffffff !important;
}

a.btn-outline-secondary:hover {
    color: #ffffff !important;
}

.video-embarquee {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 10px;
    /*padding-bottom: 5%;*/
    display: flex;
    /*align-items: center;*/
    /*justify-content: center;*/
    /*text-align:center;*/
}

    .video-embarquee iframe {
        /*position: absolute;
        top: 0;
        left: 0;*/
        width: 98%;
        height: 100%;
    }

.hidden-custom-file {
    display: none !important;
}

.DataGridCommandColumn {
    white-space: nowrap;
    flex-wrap: nowrap;
}

    .DataGridCommandColumn button {
        width: 28px;
    }

.hc-logo {
    font-family: monospace;
    color: #e51f2d;
    font-weight: 500;
}

#overlayVersion {
    position: fixed; /* Sit on top of the page content */
    width: 100%; /* Full width (cover the whole page) */
    height: calc(100% - 78px); /* Full height (cover the whole page) */
    display:flex;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.9);
    z-index: 99999999; /* Specify a stack order in case you're using a different order for other elements */
    cursor: help; /* Add a pointer on hover */
}

.bg-dark-fade-out {
    background: rgba(0,0,0,1);
    -webkit-animation: 6s ease 0s infinite running fadeOutDarkInfinite;
    animation: 6s ease 0s infinite running fadeOutDarkInfinite;
}

@keyframes fadeOutDarkInfinite {
    0%, 100% {
        background: rgba(0,0,0,0.9);
    }

    50% {
        background: rgba(0,0,0,0.8);
    }
}

@-webkit-keyframes fadeOutDarkInfinite {
    0%, 100% {
        background: rgba(0,0,0,0.9);
    }

    50% {
        background: rgba(0,0,0,0.8);
    }
}

th i.fas.fa-sort-up, th i.fas.fa-sort-down {
    display: inline;
    margin-left: 4px;
}